# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/elbrowser/elbrowser-1.0.ebuild,v 0.2 atzm Exp $

IUSE=""

DESCRIPTION="A plugin for NACSIS-ELS"
SRC_URI="ftp://info.nii.ac.jp/pub/els/unix/elb-linux.rpm
	http://www.nii.ac.jp/els/man/linux_install-j.html"
HOMEPAGE="http://els.nii.ac.jp/nacsis-els-j.php3?top"

DEPEND="rpm2targz"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}"

src_unpack(){
	cp ${DISTDIR}/elb-linux.rpm .
	cp ${DISTDIR}/linux_install-j.html .

	rpm2targz elb-linux.rpm
	tar zxf elb-linux.tar.gz

	cd ${S}/usr/bin
}

src_install(){
	dodir /usr
	dohtml linux_install-j.html

	cd usr
	cp -r X11R6 bin share ${D}/usr || die

	dosed "s:/bin/csh -f:/bin/bash:" /usr/bin/Elb
	dosed "s:setenv.*:export LANG=ja_JP.eucJP:" /usr/bin/Elb
	chmod 755 ${D}/usr/bin/Elb
}
